> For the complete documentation index, see [llms.txt](https://docs.api.ecoinvent.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.ecoinvent.org/api-reference/indicators.md).

# Indicators

## Search for LCIA indicators by method name, category, indicator or spold id.

> This endpoint returns LCIA indicators grouped by method and category that match the specified search criteria. Every dataset within a given version-system model will always contain the same set of methods and indicators.

```json
{"openapi":"3.1.0","info":{"title":"ecoQuery User API","version":"0.0.1"},"servers":[{"url":"https://api.ecoinvent.org"}],"security":[{"OAuth2ClientCredentials":[]}],"components":{"securitySchemes":{"OAuth2ClientCredentials":{"type":"oauth2","flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://sso.ecoinvent.org/realms/ecoinvent/protocol/openid-connect/token"}}}},"schemas":{"IndicatorSearchResponse":{"properties":{"methods":{"items":{"$ref":"#/components/schemas/IndicatorMethod"},"type":"array","title":"Methods"},"version":{"type":"string","title":"Version"},"system_model":{"type":"string","title":"System Model"},"total":{"type":"integer","title":"Total","default":0},"offset":{"type":"integer","title":"Offset"},"limit":{"type":"integer","title":"Limit"}},"type":"object","required":["methods","version","system_model","offset","limit"],"title":"IndicatorSearchResponse"},"IndicatorMethod":{"properties":{"name":{"type":"string","title":"Name","description":"LCIA method name"},"categories":{"items":{"$ref":"#/components/schemas/IndicatorCategory"},"type":"array","title":"Categories","description":"Impact categories in this method"}},"type":"object","required":["name","categories"],"title":"IndicatorMethod"},"IndicatorCategory":{"properties":{"name":{"type":"string","title":"Name","description":"Impact category name"},"indicators":{"items":{"$ref":"#/components/schemas/Indicator"},"type":"array","title":"Indicators","description":"Indicators in this category"}},"type":"object","required":["name","indicators"],"title":"IndicatorCategory"},"Indicator":{"properties":{"id":{"type":"integer","title":"Id","description":"Id of the indicator"},"name":{"type":"string","title":"Name","description":"Indicator name"},"unit":{"type":"string","title":"Unit","description":"Unit of measurement of the indicator"},"spold_uuid":{"type":"string","title":"Spold Uuid","description":"UUID of the associated indicator in spold"}},"type":"object","required":["id","name","unit","spold_uuid"],"title":"Indicator"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v3/api1/indicators":{"get":{"tags":["api"],"summary":"Search for LCIA indicators by method name, category, indicator or spold id.","description":"This endpoint returns LCIA indicators grouped by method and category that match the specified search criteria. Every dataset within a given version-system model will always contain the same set of methods and indicators.","operationId":"search_by_indicator_index_v3_v3_api1_indicators_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"description":"Search term for method, category, indicator or spold id.","title":"Query","type":"string"},"description":"Search term for method, category, indicator or spold id."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Pagination start index","default":0,"title":"Offset"},"description":"Pagination start index"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"description":"Number of results to return","default":5,"title":"Limit"},"description":"Number of results to return"},{"name":"version","in":"query","required":false,"schema":{"type":"string","description":"Version name or 'latest'","default":"latest","title":"Version"},"description":"Version name or 'latest'"},{"name":"system_model","in":"query","required":false,"schema":{"type":"string","description":"System model name or 'cutoff'","default":"cutoff","title":"System Model"},"description":"System model name or 'cutoff'"},{"name":"accessible_only","in":"query","required":false,"schema":{"type":"boolean","description":"Restrict the response to indicators included in the client's licence.","default":false,"title":"Accessible Only"},"description":"Restrict the response to indicators included in the client's licence."}],"responses":{"200":{"description":"Successful response with matching indicators","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndicatorSearchResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Forbidden","content":{"application/json":{}}},"404":{"description":"Requested resource not found","content":{"application/json":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{}}}}}}}}
```
